#pragma once
#include "CivAssembly.h"
#include "CivInpHelperAbs.h"

/**
* Ôö¼Ó
*/
class INPDLLEXPORT CivProjInpDbHelper: public CivInpHelperAbs
{
public:
	explicit CivProjInpDbHelper(const std::string& uri);
	~CivProjInpDbHelper();

	bool getNode(CivNode& node)override;
	bool getPipe(CivPipe& pipe) override;
	bool getTank(CivTank& tank) override;
	bool getValve(CivValve& valve) override;
	bool getPumps(CivPumps& pump) override;
	bool getReservoirs(CivReservoirs& reservoirs) override;
	bool getCoordinates(CivCoordinates& coord) override;
	bool getQuality(CivQuality& quality) override;
};
